> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Runtime Logs

> Returns the runtime logs for a specific call. These are the logs produced by your agent's code during the call. Logs may not be available if the call is still in progress or if they have been removed due to data retention settings.



## OpenAPI

````yaml /latest.yml GET /agents/calls/{call_id}/logs
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /agents/calls/{call_id}/logs:
    get:
      tags:
        - Agents
      summary: Get Call Runtime Logs
      description: >-
        Returns the runtime logs for a specific call. These are the logs
        produced by your agent's code during the call. Logs may not be available
        if the call is still in progress or if they have been removed due to
        data retention settings.
      operationId: agents_get-call-logs
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: call_id
          in: path
          description: The ID of the call.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentCallLogs'
        '404':
          description: >-
            Returned when the call does not exist or does not belong to your
            account (`"Call not found"`), or when the call exists but logs are
            not available (`"Call logs not available"` — they may not have been
            generated yet or may have been removed due to data retention
            settings).
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: A short error title.
                    example: Call logs not available
                  description:
                    type: string
                    description: A detailed explanation of the error.
                    example: >-
                      Logs for this call are not available. They may not have
                      been generated yet or may have been removed due to data
                      retention settings.
                required:
                  - message
                  - description
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        enum:
          - '2026-03-01'
  schemas:
    AgentCallLogs:
      title: AgentCallLogs
      type: object
      description: The runtime logs associated with a specific agent call.
      properties:
        call_id:
          type: string
          description: The ID of the call.
        logs:
          type: array
          items:
            type: string
          description: The runtime log lines produced by the agent's code during the call.
        updated_at:
          type: string
          format: date-time
          description: The date and time when the logs were last updated.
      required:
        - call_id
        - logs
        - updated_at
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).

````